//
// Fragment Shader by WyldAnimal
// www.deskbabes.net
//

uniform sampler2D texture0;
varying vec4 gl_TexCoord[];
varying vec4 gl_Color;

// Adapted from Totem's blur shader.
const float blurSize = 1.0 / 1024.0;

void main(void)
{
   vec4 sum = vec4(0.0);

   vec4 vTexCoord = gl_TexCoord[0];
   //sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y - 6.0*blurSize)) * 0.02;
   //sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y - 4.0*blurSize)) * 0.05;
   sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y - 3.0*blurSize)) * 0.09;
   sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y - 2.0*blurSize)) * 0.12;
   sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y - blurSize)) * 0.15;
   sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y)) * 0.2;
   sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y + blurSize)) * 0.15;
   sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y + 2.0*blurSize)) * 0.12;
   sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y + 3.0*blurSize)) * 0.09;
   //sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y + 4.0*blurSize)) * 0.05;
   //sum += texture2D(texture0, vec2(vTexCoord.x, vTexCoord.y + 6.0*blurSize)) * 0.02;

   gl_FragColor = sum * gl_Color;
}
